HELM(1)

NAME

helm - The Helm package manager for Kubernetes.

SYNOPSIS

helm

DESCRIPTION

The Kubernetes package manager

To begin working with Helm, run the 'helm init' command:

    $ helm init

This will install Tiller to your running Kubernetes cluster. It will also set up any necessary local configuration.

Common actions from this point include:

•   helm search: search for charts

•   helm fetch: download a chart to your local directory to view

•   helm install: upload the chart to Kubernetes

•   helm list: list releases of charts

Environment:
  $HELM_HOME set an alternative location for Helm files. By default, these are stored in /.helm
  $HELM_HOST set an alternative Tiller host. The format is host:port
  $HELM_NO_PLUGINS disable plugins. Set HELM_NO_PLUGINS=1 to disable plugins.
  $TILLER_NAMESPACE set an alternative Tiller namespace (default "kube-namespace")
  $KUBECONFIG set an alternative Kubernetes configuration file (default " /.kube/config")

OPTIONS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm-completion(1), helm-create(1), helm-delete(1), helm-dependency(1), helm-fetch(1), helm-get(1), helm-history(1), helm-home(1), helm-init(1), helm-inspect(1), helm-install(1), helm-lint(1), helm-list(1), helm-package(1), helm-plugin(1), helm-repo(1), helm-reset(1), helm-rollback(1), helm-search(1), helm-serve(1), helm-status(1), helm-test(1), helm-upgrade(1), helm-verify(1), helm-version(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra